#!/bin/bash
echo "Flashing $1"
cp $1 /run/media/skyrgobbler/RPI-RP2/.
echo "Letting settle"
while [[ ! -d /run/media/skyrgobbler/CIRCUITPY ]]
do
  sleep 1
done
echo "Making font directory"
mkdir /run/media/skyrgobbler/CIRCUITPY/fonts
echo "Adding fonts"
cp fonts/VictorMonoNerdFont-SemiBoldItalic-32.pcf /run/media/skyrgobbler/CIRCUITPY/fonts/.
echo "Installing libraries"
circup install adafruit_display_text
circup install adafruit_hid
circup install gc9a01
echo "Adding character map"
cp characters.py /run/media/skyrgobbler/CIRCUITPY/.
echo "Adding code"
cp code.py /run/media/skyrgobbler/CIRCUITPY/.
